﻿/*——————————————————————————————————————————————————————————————————————————————*/
/* style.css | 01.08.2023 | © XPULSE Crossmedia Productions | Andreas Gabriel   */
/*——————————————————————————————————————————————————————————————————————————————*/


/*———— Verwendete Schriften ——————————————————————————————————————————————————————
* Legal Disclaimer for Web licence
*
* Licence to use webfonts for displaying dynamic text on designated website domains.
* Should the license page views limit be exceeded the license holder will be required to contact Lineto.com for an upgrade.
* It is strictly prohibited to rename the font and to download or use these fonts in any other media. 
* These Web fonts are licensed exclusively for the use on the following domain(s) and their subdomains:
*
* For use on:
* bregenzerfestspiele.com, up to 250k monthly page views
* pressefoyer.at, up to 50k monthly page views
————————————————————————————————————————————————————————————————————————————————*/
/* complete */
/* @font-face { font-family:'RiformaLLWeb-Light';				src:url('fonts/riforma/RiformaLLWeb-Light.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-Light';				src:url('fonts/riforma/RiformaLLWeb-Light.woff2') format('woff2'); } */
/* @font-face { font-family:'RiformaLLWeb-LightItalic';	src:url('fonts/riforma/RiformaLLWeb-LightItalic.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-LightItalic';	src:url('fonts/riforma/RiformaLLWeb-LightItalic.woff2') format('woff2'); } */
@font-face { font-family:'RiformaLLWeb-Regular';			src:url('fonts/riforma/RiformaLLWeb-Regular.woff') format('woff'); }
@font-face { font-family:'RiformaLLWeb-Regular';			src:url('fonts/riforma/RiformaLLWeb-Regular.woff2') format('woff2'); }
/* @font-face { font-family:'RiformaLLWeb-Italic';				src:url('fonts/riforma/RiformaLLWeb-Italic.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-Italic';				src:url('fonts/riforma/RiformaLLWeb-Italic.woff2') format('woff2'); } */
@font-face { font-family:'RiformaLLWeb-Medium';				src:url('fonts/riforma/RiformaLLWeb-Medium.woff') format('woff'); }
@font-face { font-family:'RiformaLLWeb-Medium';				src:url('fonts/riforma/RiformaLLWeb-Medium.woff2') format('woff2'); }
/* @font-face { font-family:'RiformaLLWeb-MediumItalic';	src:url('fonts/riforma/RiformaLLWeb-MediumItalic.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-MediumItalic';	src:url('fonts/riforma/RiformaLLWeb-MediumItalic.woff2') format('woff2'); } */
@font-face { font-family:'RiformaLLWeb-Bold';					src:url('fonts/riforma/RiformaLLWeb-Bold.woff') format('woff'); }
@font-face { font-family:'RiformaLLWeb-Bold';					src:url('fonts/riforma/RiformaLLWeb-Bold.woff2') format('woff2'); }
/* @font-face { font-family:'RiformaLLWeb-BoldItalic';		src:url('fonts/riforma/RiformaLLWeb-BoldItalic.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-BoldItalic';		src:url('fonts/riforma/RiformaLLWeb-BoldItalic.woff2') format('woff2'); } */
/* @font-face { font-family:'RiformaLLWeb-Heavy';				src:url('fonts/riforma/RiformaLLWeb-Heavy.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-Heavy';				src:url('fonts/riforma/RiformaLLWeb-Heavy.woff2') format('woff2'); } */
/* @font-face { font-family:'RiformaLLWeb-HeavyItalic';	src:url('fonts/riforma/RiformaLLWeb-HeavyItalic.woff') format('woff'); } */
/* @font-face { font-family:'RiformaLLWeb-HeavyItalic';	src:url('fonts/riforma/RiformaLLWeb-HeavyItalic.woff2') format('woff2'); } */
	
/* subset */
/*
@font-face { font-family:'RiformaLLSub-Light';				src:url('fonts/riforma/RiformaLLSub-Light.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Light';				src:url('fonts/riforma/RiformaLLSub-Light.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-LightItalic';	src:url('fonts/riforma/RiformaLLSub-LightItalic.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-LightItalic';	src:url('fonts/riforma/RiformaLLSub-LightItalic.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-Regular';			src:url('fonts/riforma/RiformaLLSub-Regular.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Regular';			src:url('fonts/riforma/RiformaLLSub-Regular.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-Italic';				src:url('fonts/riforma/RiformaLLSub-Italic.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Italic';				src:url('fonts/riforma/RiformaLLSub-Italic.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-Medium';				src:url('fonts/riforma/RiformaLLSub-Medium.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Medium';				src:url('fonts/riforma/RiformaLLSub-Medium.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-MediumItalic';	src:url('fonts/riforma/RiformaLLSub-MediumItalic.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-MediumItalic';	src:url('fonts/riforma/RiformaLLSub-MediumItalic.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-Bold';					src:url('fonts/riforma/RiformaLLSub-Bold.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Bold';					src:url('fonts/riforma/RiformaLLSub-Bold.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-BoldItalic';		src:url('fonts/riforma/RiformaLLSub-BoldItalic.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-BoldItalic';		src:url('fonts/riforma/RiformaLLSub-BoldItalic.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-Heavy';				src:url('fonts/riforma/RiformaLLSub-Heavy.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-Heavy';				src:url('fonts/riforma/RiformaLLSub-Heavy.woff2') format('woff2'); }
@font-face { font-family:'RiformaLLSub-HeavyItalic';	src:url('fonts/riforma/RiformaLLSub-HeavyItalic.woff') format('woff'); }
@font-face { font-family:'RiformaLLSub-HeavyItalic';	src:url('fonts/riforma/RiformaLLSub-HeavyItalic.woff2') format('woff2'); }
*/
/*——————————————————————————————————————————————————————————————————————————————*/


/*———— Allgemein ——————————————————————————————*/
html, body {
  font-family:'RiformaLLWeb-Regular',sans-serif;
  /*—————————————————————————*/
  font-size:16px;
  /*—————————————————————————*/
}
* { outline:none; }
body, p, h1, h2, form { margin:0; padding:0; }
body { line-height:1.4rem; color:#000; background-color:#fff; overflow-y:scroll; }
h1, h2 { text-align:center; }
h1 {
  font-family:'RiformaLLWeb-Medium',sans-serif;
  font-size:3.125rem;
  line-height:3.75rem;
}
h2 {
  font-family:'RiformaLLWeb-Regular',sans-serif;
  font-size:1.3125rem;
  line-height:1.875rem;
  margin-top:1.5625rem;
}
p { margin-bottom:1em; }
.bold		{ font-family:'RiformaLLWeb-Bold'; }
.medium	{ font-family:'RiformaLLWeb-Medium'; font-size:0.875rem; }
.small	{ font-size:80%; line-height:1rem; }
.left   { float:left; }
.right  { float:right; width:inherit !important; }
.clear { clear:both; font-size:0; line-height:0; }
.disabled { opacity:0.15; cursor:no-drop !important; }
.nodisplay { display:none; }
.hidden { visibility:hidden; }
.transparent { opacity:0; transition:opacity .2s ease-in-out; }
.invalid {
  border-color:#FF0000 !important;
  background-color:rgba(167,0,0,.05) !important;
  border-width:1px !important;
  border-style:solid !important;
}


/*———— Links ——————————————————————————————————*/
a { color:#000; text-decoration:underline; }
a:hover,
.resetX:hover,
#resetAll:hover {
	color:#000; text-decoration:underline;
}
.linkToWebsite {
  font-family:'RiformaLLWeb-Medium';
  margin-top:2em;
}


/*———— Listen —————————————————————————————————*/
ul    { margin:0; padding-left:1em; }
ul li { margin-top:0.5em; }


/*———— Select, Input, Textarea ————————————————*/
select {
	height:2.2rem;
	padding-left:.3rem;
  padding-top:.2rem;
  color:rgba(0,0,0,.4);
	width: calc(100% - .7rem);
	position:relative;
	background-color:#fff;
	cursor:pointer;
}
optgroup {
	font-family:Calibri,Arial,Helvetica;		/* Nur Systemschrift verwenden */
  font-size:1rem;
  background-color:rgba(146,25,19,0.15);
}
option {
	font-family:Calibri,Arial,Helvetica;		/* Nur Systemschrift verwenden */
  font-size:1rem;
  background-color:#FFF;
	color:#000;
}
option:disabled {
  color:rgba(0,0,0,.2);
}
input, select, textarea {
	font-family:'RiformaLLWeb-Regular',sans-serif,Arial,Helvetica;
	font-size:0.875rem;
	line-height:1.375rem;
	color:#000;
	border:none;
	border-radius:0;
}

input[type="radio"], input[type="checkbox"] {
	margin-right:.6rem;
}
label {
  cursor:pointer;
  margin-right:1rem;
}

input[type="text"], select, textarea {
	border-width:1px;
	border-style:solid;
	border-color:transparent transparent rgba(0,0,0,.2) transparent;
	height:34px;
	padding-left:.5em;
	width:calc(100% - 1.5em);
}

input[type="text"]:hover, select:hover {
	border-bottom-color:#000;
}

textarea {
  height:68px;
  border-color:rgba(0,0,0,.2);
  margin-top:1rem;
}

textarea:hover {
	border-color:#000;
}

input::placeholder,
.placeholder {
	color:rgba(0,0,0,.4) !important;
	opacity: 1 !important;
}


/*———— Fehlermeldungen und Hinweise ———————————*/
.error, .attention, .red { color:#921913; }
.green { color:#007500; }


/*———— Wrapping ———————————*/
.wrapper {
  max-width:1400px;
  margin:0 auto;
}
.borderwrapper {
	margin:0 1.5625rem;
}

.darkwrapper {
	background-color:#f5f5f5;
}

.centerwrapper {
  max-width:800px;
  margin:0 auto;
}
#scrollTargetPoint {
	position:relative;
	top:-6rem;
}


/*———— Grids —————————————————————*/
.grid {	display:grid; }
.grid.headergrid { grid-template-columns:auto auto; align-content:space-evenly; }


/*———— Header mit Logo —————————————————————*/
#header { position:fixed; width:100%; top:0; z-index:200; }
#header .wrapper { background-color:#FFF; }
#dynamic_header { height:90px; transition:height .3s; }
#content { margin-top:90px; }

#logo a {
	width:fit-content;
	display:grid;
}
#logo svg {
	width:174px;
  height:58px;
  transition:all .3s;
}
#logo svg .fill_0 { fill:transparent; }
#logo svg .fill_1 { fill:#E5900F; }
#logo svg .fill_2 { fill:#000; transition:opacity .3s; }

#dummy {
	text-align:right;
  text-transform:uppercase;
  font-size:90%;
	display:grid;
  align-content:center;
}

.smallHeader {
  height:60px !important;
}
.smallHeader #logo svg {
  width:96px !important;
	height:33.33px !important;
}
.smallHeader #logo svg .fill_2 { opacity:0; }

#headershadow {
	display:block;
	height:5px;
	background:linear-gradient(rgba(210,210,210,0.5),rgba(210,210,210,0));
}


/*———— Blöcke —————————————————————*/
#infoBlock { margin-bottom:3em; }


/*———— Formulartitel ——————————————————————————*/
#formtitle {
	padding:4rem 0;
}

#middot { margin:0 1rem; }    /* Mittelpunkt im Subheader wird ausgeblendet bei kleinen Screens */
#linebreak { display:none; }  /* für Umbruch bei kleinen Screens */


/*———— Formular (index.php) ———————————————————*/
.requiredInfo {
  text-align:right;
  margin-bottom: 1rem;
}

#hint {
	margin:2rem 0 1rem 0;
}


/*———— Zeile einer Karte ————*/
.eventCounter {
  position:absolute;
  font-size:0.75rem;
  text-align:right;
  margin-top:.3em;
  margin-left:-4.5em;
  width:2.5em;
}

.OK {
display:none;	/* für Debugging einblenden */
	position: absolute;
	width:.6em !important;
	margin-left:-.7em;
	margin-top:-1.3em;
	padding:0 !important;
	border:0 !important;
	color:#CE2121;
	font-size:60%;
}

.linewrapper {
  font-family: "RiformaLLWeb-Regular",Arial,Helvetica,sans-serif;
  font-size: 0.875rem;
  margin-bottom:1em;
  padding:1em;
	background-color:rgba(255,255,255,1);
}

.linewrapper select {
	width:calc(100% - 10px);
  color:#E6E6E6
}
.linewrapper input {
	width:calc(100% - 27px);
}
.linewrapper select, .linewrapper input {
  color:#000;
  border-width:1px;
  border-style:solid;
  border-color:rgba(0,0,0,.2);
}

.firstBlock  {  }
.secondBlock {  }

.ticketField { float:left; }
.ticketField .highlighted {
  font-family:'RiformaLLWeb-Medium';
  font-size:1rem;
}
.ticketField select:hover {
  border-color:#000;
}
.firstBlock select {
  font-family:'RiformaLLWeb-Medium';
  font-size:1rem;
}
.ticketField-1 { width:285px; }
.ticketField-2 { width:190px; }
.ticketField-3 { width:250px; }
.ticketField-4 { letter-spacing:0; }
.ticketField-4 select { width:60px !important; text-align:right; margin-right:.7rem; }
.ticketField-5 { width:400px; letter-spacing:0; float:left; padding-top:3px; margin-left:3rem; }
.ticketField-6 { width:170px; font-size:1rem; text-align:right; float:right; margin-top:.3rem; }

.ticketField-1 option:nth-child(1),
.ticketField-2 option:nth-child(1),
.ticketField-3 option:nth-child(1) {
	display:none;
}

.resetX {
	color:#000;
	cursor:pointer;
	float:right;
	line-height:1;
	text-decoration:none;
}

.infoField {
	margin-left:.5em;
	margin-bottom:1em;
	cursor:default;
	border:0 !important;
	background-color:transparent;
}

.evPrice,
.evSum { width:20px !important; float:left; margin-right:.5em; }
.evSum { width:40px !important; }


/*—————————————————————————————————————————————*/
/* Buttons
/*—————————————————————————————————————————————*/
#buttons { text-align:right; }
#backbutton { float:right; margin-right:.5rem; }
#prevbutton { float:right; }

input[type="button"], input[type="submit"], .pmb {
  cursor:pointer;
	color:#000;
	background-color:#fff;
	border:2px solid #000;
	padding:0 2.5rem;
	margin-top:1.25rem;
	line-height:2.5rem;
}


/*—————————————————————————————————————————————*/
/* Plus-Minus-Buttons (pmbs)
/*—————————————————————————————————————————————*/

#pmbs div {
	transition:opacity .5s ease-in-out;
}

.pmb {
	float: left;
	padding: 0;
	font-size: 150%;
	margin-right: .5rem;
	margin-top: 0;
	height: 2rem;
	width: 2rem;
	text-align: center;
	line-height: 1.23em;
}

#maxInfo {
	position:absolute;
	margin-left:8em;
	line-height:1rem;
}

#plusTxt {
	position:absolute;
	margin-top:.5em;
	margin-left:7.5em;
	border: 1px solid #000;
	background-color:#E6E6E6;
	
	cursor:default;
	-webkit-box-shadow: 4px 4px 5px 0px rgba(50, 50, 50, 0.2);
	-moz-box-shadow:    4px 4px 5px 0px rgba(50, 50, 50, 0.2);
	box-shadow:         4px 4px 5px 0px rgba(50, 50, 50, 0.2);
}
	
#plusTxt::before {
	content: ' ';
	position: absolute;
	width: 0.7em;
	height: 0.7em;
	border: 1px solid #000;
	border-bottom: 0;
	border-right: 0;
	display: inline-block;
	background-color:#E6E6E6;
	
-moz-transform: rotate(-45deg);
-ms-transform: rotate(-45deg);
-o-transform: rotate(-45deg);
-webkit-transform: rotate(-45deg);
transform: rotate(-45deg);
	
	margin-top:.58em;
	margin-left:-.44em;
}

#plusTxt .txt {
	background-color:transparent;
	padding: 0.3em 0.5em;
	position: relative;
}

#resetAll {
	float:right;
	color:#000;
	cursor:pointer;
	line-height:1rem;
	text-decoration:underline;
}


/*—————————————————————————————————————————————*/
/* Karten-Summen (Texte)
/*—————————————————————————————————————————————*/
#ticketFooter {
	margin-top:2em;
}

#aboHints {
	margin-top:2em;
}


/*———— Eingabefeld ————————————————————————————*/
.field {
  font-family: 'RiformaLLWeb-Regular',sans-serif;
  font-size:0.875rem;
  float:left;
  width:33.33%;
  margin-bottom:1.5rem;
}


/*———— Felder PLZ, Ort ————————————————————————*/
#zip-wp { width:10%; }
#city-wp { width:23%; }
#zip-wp input { width:calc(100% - 1rem); }
#Land { height:37px; }
/* #Land option:nth-child(1) { display:none; } */


/*———— Selectfeld Land ————————————————————————*/
select .c0 { color:rgba(0,0,0,.4) !important; }
select .c1 { background-color:#EEE; }


/*———— Zustimmungen mit Checkboxen ————————————*/
.approval {
	margin-bottom:1rem;
}
.approval .aframe,
.approval .atext {
  float:left;
}
.approval .aframe {
  padding:.5em;
	margin-top:-.3em;
	margin-right:.7em;
	border:1px solid transparent;
}
.approval label {
	margin:0;
}
.approval input[type="checkbox"] {
	margin:0;
	display:block;
}
.approval .astar {
	font-size:120%;
	margin-left:.2em;
}
.approval .atext {
  width:calc(100% - 5rem);
}


/*———— Prüfseite (check.php) ——————————————————*/
.tabline {
  border-bottom:1px solid #CCC;
	line-height:1.5em;
	padding:.4em 0;
}

.C1 { width:450px; } /* Produktion und Datum */
.C2 { width:190px; } /* Kategorie und Anzahl Karten */
.C3 { } /* Zeilensumme */

.C5 { text-align: right; margin-top:-1.8em; }

.evLine { margin-top:.5em; }

#sumline { margin-top:1em; }


/*———— Footer ——————————*/
#footer { height:16em; }


/*———— Admin-Information oben rechts ——————————*/
#header::before {
  font-size:50%;
  position:fixed;
  background-color:rgba(255,255,255,0.5);
  right:0;
  padding:0 10px;
  top:0;
}


/*———— ENDE ———————————————————————————————————*/









